Runtime

## org.eclipse.gmf.runtime.notation
Interface Edge

All Superinterfaces:
  EModelElement, EObject, Notifier, View

All Known Implementing Classes:
  EdgeImpl

public interface Edge
extends View

A representation of the model object 'Edge'.

An edge is a view that represents a connection between two other views

The following features are supported:

- `Source`
- `Target`
- `Bendpoints`
- `Source Anchor`
- `Target Anchor`

See Also:
  `NotationPackage.getEdge()`
** Generated **
Model:

Method Summary
`Bendpoints` `createBendpoints(EClass eClass)` A utility method to create a `Bendpoints` object from the given `EClass` and then sets the edge's Bendpoints property to the new object.
`Anchor` `createSourceAnchor(EClass eClass)` A utility method to create an `Anchor` object from the given `EClass` and then sets the edge's SourceAnchor property to the new object.
`Anchor` `createTargetAnchor(EClass eClass)` A utility method to create an `Anchor` object from the given `EClass` and then sets the edge's TargetAnchor property to the new object.
`Bendpoints` `getBendpoints()` Returns the value of the 'Bendpoints' containment reference
`View` `getSource()` Returns the value of the 'Source' reference.
`Anchor` `getSourceAnchor()` Returns the value of the 'Source Anchor' containment reference
`View` `getTarget()` Returns the value of the 'Target' reference.
`Anchor` `getTargetAnchor()` Returns the value of the 'Target Anchor' containment reference
`void` `setBendpoints(Bendpoints value)` Sets the value of the '`Bendpoints`' containment reference
`void` `setSource(View value)` Sets the value of the '`Source`' reference
`void` `setSourceAnchor(Anchor value)` Sets the value of the '`Source Anchor`' containment reference
`void` `setTarget(View value)` Sets the value of the '`Target`' reference
`void` `setTargetAnchor(Anchor value)` Sets the value of the '`Target Anchor`' containment reference

Methods inherited from interface org.eclipse.gmf.runtime.notation.View
`createChild, createStyle, getChildren, getDiagram, getElement, getPersistedChildren, getSourceEdges, getStyle, getStyles, getTargetEdges, getTransientChildren, getType, getVisibleChildren, insertChild, insertChild, insertChildAt, isMutable, isSetElement, isVisible, persist, persistChildren, removeChild, setElement, setMutable, setType, setVisible, unsetElement`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getSource

    public View getSource()

  Returns the value of the 'Source' reference. It is bidirectional and its opposite is '`Source Edges`'.

  The edge's source is the view at the source of the edge

  Returns:
    the value of the 'Source' reference.
  See Also:
    `Edge.setSource(View)`, `NotationPackage.getEdge_Source()`, `View.getSourceEdges()`
  ** Generated **
  Model:
    opposite="sourceEdges" resolveProxies="false" required="true"

### setSource

    public void setSource(View value)

  Sets the value of the '`Source`' reference.

  The edge's source is the view at the source of the edge

  Parameters:
    `value` - the new value of the 'Source' reference.
  See Also:
    `Edge.getSource()`
  ** Generated **

### getTarget

    public View getTarget()

  Returns the value of the 'Target' reference. It is bidirectional and its opposite is '`Target Edges`'.

  The edge's taregt is the view at the target of the edge

  Returns:
    the value of the 'Target' reference.
  See Also:
    `Edge.setTarget(View)`, `NotationPackage.getEdge_Target()`, `View.getTargetEdges()`
  ** Generated **
  Model:
    opposite="targetEdges" resolveProxies="false" required="true"

### setTarget

    public void setTarget(View value)

  Sets the value of the '`Target`' reference.

  The edge's taregt is the view at the target of the edge

  Parameters:
    `value` - the new value of the 'Target' reference.
  See Also:
    `Edge.getTarget()`
  ** Generated **

### getBendpoints

    public Bendpoints getBendpoints()

  Returns the value of the 'Bendpoints' containment reference.

  A bendpoint is a routing constraint installed on edges to suggest that their routing pass through a specific collection of points.

  Returns:
    the value of the 'Bendpoints' containment reference.
  See Also:
    `Edge.setBendpoints(Bendpoints)`, `NotationPackage.getEdge_Bendpoints()`
  ** Generated **
  Model:
    containment="true"

### setBendpoints

    public void setBendpoints(Bendpoints value)

  Sets the value of the '`Bendpoints`' containment reference.

  A bendpoint is a routing constraint installed on edges to suggest that their routing pass through a specific collection of points.

  Parameters:
    `value` - the new value of the 'Bendpoints' containment reference.
  See Also:
    `Edge.getBendpoints()`
  ** Generated **

### getSourceAnchor

    public Anchor getSourceAnchor()

  Returns the value of the 'Source Anchor' containment reference.

  A source anchor is a routing constraint installed on edges to identify where the source view should anchor that edge.

  Returns:
    the value of the 'Source Anchor' containment reference.
  See Also:
    `Edge.setSourceAnchor(Anchor)`, `NotationPackage.getEdge_SourceAnchor()`
  ** Generated **
  Model:
    containment="true"

### setSourceAnchor

    public void setSourceAnchor(Anchor value)

  Sets the value of the '`Source Anchor`' containment reference.

  A source anchor is a routing constraint installed on edges to identify where the source view should anchor that edge.

  Parameters:
    `value` - the new value of the 'Source Anchor' containment reference.
  See Also:
    `Edge.getSourceAnchor()`
  ** Generated **

### getTargetAnchor

    public Anchor getTargetAnchor()

  Returns the value of the 'Target Anchor' containment reference.

  A target anchor is a routing constraint installed on edges to identify where the target view should anchor that edge.

  Returns:
    the value of the 'Target Anchor' containment reference.
  See Also:
    `Edge.setTargetAnchor(Anchor)`, `NotationPackage.getEdge_TargetAnchor()`
  ** Generated **
  Model:
    containment="true"

### setTargetAnchor

    public void setTargetAnchor(Anchor value)

  Sets the value of the '`Target Anchor`' containment reference.

  A target anchor is a routing constraint installed on edges to identify where the target view should anchor that edge.

  Parameters:
    `value` - the new value of the 'Target Anchor' containment reference.
  See Also:
    `Edge.getTargetAnchor()`
  ** Generated **

### createBendpoints

    public Bendpoints createBendpoints(EClass eClass)

  A utility method to create a `Bendpoints` object from the given `EClass` and then sets the edge's Bendpoints property to the new object.

  Parameters:
    `eClass` - the `EClass` to be used in creating the `Bendpoints` object
  ** Generated **
  Model:

### createSourceAnchor

    public Anchor createSourceAnchor(EClass eClass)

  A utility method to create an `Anchor` object from the given `EClass` and then sets the edge's SourceAnchor property to the new object.

  Parameters:
    `eClass` - the `EClass` to be used in creating the `Anchor` object
  ** Generated **
  Model:

### createTargetAnchor

    public Anchor createTargetAnchor(EClass eClass)

  A utility method to create an `Anchor` object from the given `EClass` and then sets the edge's TargetAnchor property to the new object.

  Parameters:
    `eClass` - the `EClass` to be used in creating the `Anchor` object
  ** Generated **
  Model:

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.